<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SubGroupResultV2 StructType
 * @subpackage Structs
 */
class SubGroupResultV2 extends SubGroupBase
{
    /**
     * The Vehicles
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierVehicleResult_V2
     */
    public $Vehicles;
    /**
     * The Trailers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierVehicleResult_V2
     */
    public $Trailers;
    /**
     * The Drivers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierPerson_V2
     */
    public $Drivers;
    /**
     * The Pois
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfIdentifierPoiResult
     */
    public $Pois;
    /**
     * Constructor method for SubGroupResultV2
     * @uses SubGroupResultV2::setVehicles()
     * @uses SubGroupResultV2::setTrailers()
     * @uses SubGroupResultV2::setDrivers()
     * @uses SubGroupResultV2::setPois()
     * @param \ArrayType\ArrayOfIdentifierVehicleResult_V2 $vehicles
     * @param \ArrayType\ArrayOfIdentifierVehicleResult_V2 $trailers
     * @param \ArrayType\ArrayOfIdentifierPerson_V2 $drivers
     * @param \ArrayType\ArrayOfIdentifierPoiResult $pois
     */
    public function __construct(\ArrayType\ArrayOfIdentifierVehicleResult_V2 $vehicles = null, \ArrayType\ArrayOfIdentifierVehicleResult_V2 $trailers = null, \ArrayType\ArrayOfIdentifierPerson_V2 $drivers = null, \ArrayType\ArrayOfIdentifierPoiResult $pois = null)
    {
        $this
            ->setVehicles($vehicles)
            ->setTrailers($trailers)
            ->setDrivers($drivers)
            ->setPois($pois);
    }
    /**
     * Get Vehicles value
     * @return \ArrayType\ArrayOfIdentifierVehicleResult_V2|null
     */
    public function getVehicles()
    {
        return $this->Vehicles;
    }
    /**
     * Set Vehicles value
     * @param \ArrayType\ArrayOfIdentifierVehicleResult_V2 $vehicles
     * @return \StructType\SubGroupResultV2
     */
    public function setVehicles(\ArrayType\ArrayOfIdentifierVehicleResult_V2 $vehicles = null)
    {
        $this->Vehicles = $vehicles;
        return $this;
    }
    /**
     * Get Trailers value
     * @return \ArrayType\ArrayOfIdentifierVehicleResult_V2|null
     */
    public function getTrailers()
    {
        return $this->Trailers;
    }
    /**
     * Set Trailers value
     * @param \ArrayType\ArrayOfIdentifierVehicleResult_V2 $trailers
     * @return \StructType\SubGroupResultV2
     */
    public function setTrailers(\ArrayType\ArrayOfIdentifierVehicleResult_V2 $trailers = null)
    {
        $this->Trailers = $trailers;
        return $this;
    }
    /**
     * Get Drivers value
     * @return \ArrayType\ArrayOfIdentifierPerson_V2|null
     */
    public function getDrivers()
    {
        return $this->Drivers;
    }
    /**
     * Set Drivers value
     * @param \ArrayType\ArrayOfIdentifierPerson_V2 $drivers
     * @return \StructType\SubGroupResultV2
     */
    public function setDrivers(\ArrayType\ArrayOfIdentifierPerson_V2 $drivers = null)
    {
        $this->Drivers = $drivers;
        return $this;
    }
    /**
     * Get Pois value
     * @return \ArrayType\ArrayOfIdentifierPoiResult|null
     */
    public function getPois()
    {
        return $this->Pois;
    }
    /**
     * Set Pois value
     * @param \ArrayType\ArrayOfIdentifierPoiResult $pois
     * @return \StructType\SubGroupResultV2
     */
    public function setPois(\ArrayType\ArrayOfIdentifierPoiResult $pois = null)
    {
        $this->Pois = $pois;
        return $this;
    }
}
